Create Lesson#
Adds a lesson. If title is omitted, the lesson is created as New Lesson / empty description / draft / comments enabled. description is stored as content. Optional lesson_thumbnail jpeg/png/jpg/gif, max 2 MB. Requires manage-knowledge-hub-lessons.
Authorizationstringheaderrequired
Bearer token in the format: Bearer {access_token}
categoryIdstringpathrequired
Base64 id from the matching list or builder. A raw numeric id is also accepted.
titlestringbody
Title. Max 255. Defaults to New Lesson when omitted
descriptionstringbody
Stored as lesson content
statusstringbody
published or draft. Required unless title is omitted
comment_statusstringbody
enabled, hidden, or locked. Required unless title is omitted
lesson_thumbnailfilebody
Optional thumbnail
curl --request POST \
--url https://app.rizzdial.com/api/knowledge-hub/categories/MQ==/lessons/create \
--header 'Authorization: Bearer {{bearer_token}}' \
--form 'title=Welcome' \
--form 'status=draft' \
--form 'comment_status=enabled'messagestring
Lesson created successfully.
dataobject
Created lesson with base64 id